Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.usermodel
Class HSSFSimpleShape

    java.lang.Object
      org.apache.poi.hssf.usermodel.HSSFShape
          org.apache.poi.hssf.usermodel.HSSFSimpleShape

All Implemented Interfaces:
  Comment

Direct Known Subclasses:
  HSSFPicture, HSSFTextbox

    public class HSSFSimpleShape

extends HSSFShape
implements Comment

Represents a simple shape such as a line, rectangle or oval.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` | `OBJECT_TYPE_COMBO_BOX`
`static short` | `OBJECT_TYPE_COMMENT`
`static short` | `OBJECT_TYPE_LINE`
`static short` | `OBJECT_TYPE_OVAL`
`static short` | `OBJECT_TYPE_PICTURE`
`static short` | `OBJECT_TYPE_RECTANGLE`

Fields inherited from class org.apache.poi.hssf.usermodel.HSSFShape
`LINESTYLE_DASHDOTDOTSYS, LINESTYLE_DASHDOTGEL, LINESTYLE_DASHDOTSYS, LINESTYLE_DASHGEL, LINESTYLE_DASHSYS, LINESTYLE_DOTGEL, LINESTYLE_DOTSYS, LINESTYLE_LONGDASHDOTDOTGEL, LINESTYLE_LONGDASHDOTGEL, LINESTYLE_LONGDASHGEL, LINESTYLE_NONE, LINESTYLE_SOLID, LINEWIDTH_DEFAULT, LINEWIDTH_ONE_PT`

Method Summary
`java.lang.String` | `getAuthor()` Name of the original comment author
`int` | `getColumn()` Return the column of the cell that contains the comment
`int` | `getRow()` Return the row of the cell that contains the comment
`int` | `getShapeType()` Gets the shape type.
`HSSFRichTextString` | `getString()` Fetches the rich text string of the comment
`boolean` | `isVisible()` Sets whether this comment is visible.
`void` | `setAuthor(java.lang.String author)` Name of the original comment author
`void` | `setColumn(int col)` Set the column of the cell that contains the comment
`void` | `setRow(int row)` Set the row of the cell that contains the comment
`void` | `setShapeType(int shapeType)` Sets the shape types.
`void` | `setString(RichTextString string)` Sets the rich text string used by this comment.
`void` | `setVisible(boolean visible)` Returns whether this comment is visible.

Methods inherited from class org.apache.poi.hssf.usermodel.HSSFShape
`countOfAllChildren, getAnchor, getFillColor, getLineStyle, getLineStyleColor, getLineWidth, getParent, isNoFill, setAnchor, setFillColor, setFillColor, setLineStyle, setLineStyleColor, setLineStyleColor, setLineWidth, setNoFill`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OBJECT_TYPE_LINE

    public static final short OBJECT_TYPE_LINE

See Also:
  Constant Field Values

### OBJECT_TYPE_RECTANGLE

    public static final short OBJECT_TYPE_RECTANGLE

See Also:
  Constant Field Values

### OBJECT_TYPE_OVAL

    public static final short OBJECT_TYPE_OVAL

See Also:
  Constant Field Values

### OBJECT_TYPE_PICTURE

    public static final short OBJECT_TYPE_PICTURE

See Also:
  Constant Field Values

### OBJECT_TYPE_COMBO_BOX

    public static final short OBJECT_TYPE_COMBO_BOX

See Also:
  Constant Field Values

### OBJECT_TYPE_COMMENT

    public static final short OBJECT_TYPE_COMMENT

See Also:
  Constant Field Values

Method Detail

### getShapeType

    public int getShapeType()

  Gets the shape type.

  Returns:
    One of the OBJECT_TYPE_* constants.
  See Also:
    `OBJECT_TYPE_LINE`, `OBJECT_TYPE_OVAL`, `OBJECT_TYPE_RECTANGLE`, `OBJECT_TYPE_PICTURE`, `OBJECT_TYPE_COMMENT`

### setShapeType

    public void setShapeType(int shapeType)

  Sets the shape types.

  Parameters:
    `shapeType` - One of the OBJECT_TYPE_* constants.
  See Also:
    `OBJECT_TYPE_LINE`, `OBJECT_TYPE_OVAL`, `OBJECT_TYPE_RECTANGLE`, `OBJECT_TYPE_PICTURE`, `OBJECT_TYPE_COMMENT`

### setVisible

    public void setVisible(boolean visible)

  Description copied from interface: `Comment`
  Returns whether this comment is visible.

  Specified by:
    `setVisible` in interface `Comment`
  Parameters:
    `visible` - `true` if the comment is visible, `false` otherwise

### isVisible

    public boolean isVisible()

  Description copied from interface: `Comment`
  Sets whether this comment is visible.

  Specified by:
    `isVisible` in interface `Comment`
  Returns:
    `true` if the comment is visible, `false` otherwise

### getRow

    public int getRow()

  Description copied from interface: `Comment`
  Return the row of the cell that contains the comment

  Specified by:
    `getRow` in interface `Comment`
  Returns:
    the 0-based row of the cell that contains the comment

### setRow

    public void setRow(int row)

  Description copied from interface: `Comment`
  Set the row of the cell that contains the comment

  Specified by:
    `setRow` in interface `Comment`
  Parameters:
    `row` - the 0-based row of the cell that contains the comment

### getColumn

    public int getColumn()

  Description copied from interface: `Comment`
  Return the column of the cell that contains the comment

  Specified by:
    `getColumn` in interface `Comment`
  Returns:
    the 0-based column of the cell that contains the comment

### setColumn

    public void setColumn(int col)

  Description copied from interface: `Comment`
  Set the column of the cell that contains the comment

  Specified by:
    `setColumn` in interface `Comment`
  Parameters:
    `col` - the 0-based column of the cell that contains the comment

### getAuthor

    public java.lang.String getAuthor()

  Description copied from interface: `Comment`
  Name of the original comment author

  Specified by:
    `getAuthor` in interface `Comment`
  Returns:
    the name of the original author of the comment

### setAuthor

    public void setAuthor(java.lang.String author)

  Description copied from interface: `Comment`
  Name of the original comment author

  Specified by:
    `setAuthor` in interface `Comment`
  Parameters:
    `author` - the name of the original author of the comment

### getString

    public HSSFRichTextString getString()

  Description copied from interface: `Comment`
  Fetches the rich text string of the comment

  Specified by:
    `getString` in interface `Comment`

### setString

    public void setString(RichTextString string)

  Description copied from interface: `Comment`
  Sets the rich text string used by this comment.

  Specified by:
    `setString` in interface `Comment`
  Parameters:
    `string` - Sets the rich text string used by this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD